function serverCmdClearEmitters(%client)
{
   if(!%client.isAdmin)
      return;
   
   if($Server::BrickCount > 0)
   {
      
      %groupCount = MainBrickGroup.getCount();
      for(%i = 0; %i < %groupCount; %i++)
      {
         %group = MainBrickGroup.getObject(%i);
         %count = %group.getCount();
         for(%j = 0; %j < %count; %j++)
         {
            %brick = %group.getObject(%j);
            
               %brick.setemitter(0);
               
         }
      }
   }
}


function serverCmdClearItems(%client)
{
   if(!%client.isAdmin)
      return;
   
   if($Server::BrickCount > 0)
   {
      
      %groupCount = MainBrickGroup.getCount();
      for(%i = 0; %i < %groupCount; %i++)
      {
         %group = MainBrickGroup.getObject(%i);
         %count = %group.getCount();
         for(%j = 0; %j < %count; %j++)
         {
            %brick = %group.getObject(%j);
            
               %brick.SetItem(0);
               
         }
      }
   }
}




function serverCmdClearLights(%client)
{
   if(!%client.isAdmin)
      return;
   
   if($Server::BrickCount > 0)
   {
      
      %groupCount = MainBrickGroup.getCount();
      for(%i = 0; %i < %groupCount; %i++)
      {
         %group = MainBrickGroup.getObject(%i);
         %count = %group.getCount();
         for(%j = 0; %j < %count; %j++)
         {
            %brick = %group.getObject(%j);
            
               %brick.setLight(0);
               
         }
      }
   }
}



function serverCmdClearMusic(%client)
{
   if(!%client.isAdmin)
      return;
   
   if($Server::BrickCount > 0)
   {
      
      %groupCount = MainBrickGroup.getCount();
      for(%i = 0; %i < %groupCount; %i++)
      {
         %group = MainBrickGroup.getObject(%i);
         %count = %group.getCount();
         for(%j = 0; %j < %count; %j++)
         {
            %brick = %group.getObject(%j);
            if(%brick.getDatablock().getName() $= "brickMusicData")
            {
               %brick.setmusic(0);
            }
         }
      }
   }
}




function serverCmdClearMusicBricks(%client)
{
   if(!%client.isAdmin)
      return;
   
   if($Server::BrickCount > 0)
   {
      
      %groupCount = MainBrickGroup.getCount();
      for(%i = 0; %i < %groupCount; %i++)
      {
         %group = MainBrickGroup.getObject(%i);
         %count = %group.getCount();
         for(%j = 0; %j < %count; %j++)
         {
            %brick = %group.getObject(%j);
            if(%brick.getDatablock().getName() $= "brickMusicData")
            {
               %brick.killBrick();
            }
         }
      }
   }
}


function serverCmdClearSpamWalls(%client)
{
   if(!%client.isAdmin)
      return;
   
   if($Server::BrickCount > 0)
   {
      
      %groupCount = MainBrickGroup.getCount();
      for(%i = 0; %i < %groupCount; %i++)
      {
         %group = MainBrickGroup.getObject(%i);
         %count = %group.getCount();
         for(%j = 0; %j < %count; %j++)
         {
            %brick = %group.getObject(%j);
            if(%brick.getDatablock().getName() $= "Brick1x1x5Data")
            {
               %brick.killBrick();
            }
         }
      }
   }
}



function serverCmdClearCastleWalls(%client)
{
   if(!%client.isAdmin)
      return;
   
   if($Server::BrickCount > 0)
   {
      
      %groupCount = MainBrickGroup.getCount();
      for(%i = 0; %i < %groupCount; %i++)
      {
         %group = MainBrickGroup.getObject(%i);
         %count = %group.getCount();
         for(%j = 0; %j < %count; %j++)
         {
            %brick = %group.getObject(%j);
            if(%brick.getDatablock().getName() $= "Brick3x1x7WallData")
            {
               %brick.killBrick();
            }
         }
      }
   }
}


function serverCmdClearWindows(%client)
{
   if(!%client.isAdmin)
      return;
   
   if($Server::BrickCount > 0)
   {
      
      %groupCount = MainBrickGroup.getCount();
      for(%i = 0; %i < %groupCount; %i++)
      {
         %group = MainBrickGroup.getObject(%i);
         %count = %group.getCount();
         for(%j = 0; %j < %count; %j++)
         {
            %brick = %group.getObject(%j);
            if(%brick.getDatablock().getName() $= "Brick4x1x5WindowData")
            {
               %brick.killBrick();
            }
         }
      }
   }
}




function serverCmdClearCrateBricks(%client)
{
   if(!%client.isAdmin)
      return;
   
   if($Server::BrickCount > 0)
   {
      
      %groupCount = MainBrickGroup.getCount();
      for(%i = 0; %i < %groupCount; %i++)
      {
         %group = MainBrickGroup.getObject(%i);
         %count = %group.getCount();
         for(%j = 0; %j < %count; %j++)
         {
            %brick = %group.getObject(%j);
            if(%brick.getDatablock().getName() $= "Brick2x2x5girderData")
            {
               %brick.killBrick();
            }
         }
      }
   }
}





function serverCmdClearFences(%client)
{
   if(!%client.isAdmin)
      return;
   
   if($Server::BrickCount > 0)
   {
      
      %groupCount = MainBrickGroup.getCount();
      for(%i = 0; %i < %groupCount; %i++)
      {
         %group = MainBrickGroup.getObject(%i);
         %count = %group.getCount();
         for(%j = 0; %j < %count; %j++)
         {
            %brick = %group.getObject(%j);
            if(%brick.getDatablock().getName() $= "Brick4x1x2FenceData")
            {
               %brick.killBrick();
            }
         }
      }
   }
}



function serverCmdClearTrees(%client)
{
   if(!%client.isAdmin)
      return;
   
   if($Server::BrickCount > 0)
   {
      
      %groupCount = MainBrickGroup.getCount();
      for(%i = 0; %i < %groupCount; %i++)
      {
         %group = MainBrickGroup.getObject(%i);
         %count = %group.getCount();
         for(%j = 0; %j < %count; %j++)
         {
            %brick = %group.getObject(%j);
            if(%brick.getDatablock().getName() $= "BrickPineTreeData")
            {
               %brick.killBrick();
            }
         }
      }
   }
}


function serverCmdClearSpawnPoints(%client)
{
   if(!%client.isAdmin)
      return;
   
   if($Server::BrickCount > 0)
   {
      
      %groupCount = MainBrickGroup.getCount();
      for(%i = 0; %i < %groupCount; %i++)
      {
         %group = MainBrickGroup.getObject(%i);
         %count = %group.getCount();
         for(%j = 0; %j < %count; %j++)
         {
            %brick = %group.getObject(%j);
            if(%brick.getDatablock().getName() $= "BrickSpawnPointData")
            {
               %brick.killBrick();
            }
         }
      }
   }
}




function serverCmdClearSmallPrintBricks(%client)
{
   if(!%client.isAdmin)
      return;
   
   if($Server::BrickCount > 0)
   {
      
      %groupCount = MainBrickGroup.getCount();
      for(%i = 0; %i < %groupCount; %i++)
      {
         %group = MainBrickGroup.getObject(%i);
         %count = %group.getCount();
         for(%j = 0; %j < %count; %j++)
         {
            %brick = %group.getObject(%j);
            if(%brick.getDatablock().getName() $= "Brick1x1PrintData")
            {
               %brick.killBrick();
            }
         }
      }
   }
}





function serverCmdClearLargePrintBricks(%client)
{
   if(!%client.isAdmin)
      return;
   
   if($Server::BrickCount > 0)
   {
      
      %groupCount = MainBrickGroup.getCount();
      for(%i = 0; %i < %groupCount; %i++)
      {
         %group = MainBrickGroup.getObject(%i);
         %count = %group.getCount();
         for(%j = 0; %j < %count; %j++)
         {
            %brick = %group.getObject(%j);
            if(%brick.getDatablock().getName() $= "Brick1x4PrintData")
            {
               %brick.killBrick();
            }
         }
      }
   }
}

